=== debian/changelog ===
codequery (0.24.0+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.
  * Bump Standards-Version to 4.6.0.
  * Bump compat to 13.
  * Update Vcs-* fields to salsa.debian.org.
  * Add `Rules-Requires-Root: no`.
  * Add upstream metadata.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 01 Feb 2022 11:39:36 +0800
