=== debian/control ===
Source: codequery
Section: devel
Priority: optional
Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper-compat (= 13),
               asciidoc-base,
               cmake,
               libqscintilla2-qt5-dev,
               libsqlite3-dev,
               qttools5-dev,
               xmlto,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/ruben2020/codequery
Vcs-Git: https://salsa.debian.org/debian/codequery.git
Vcs-Browser: https://salsa.debian.org/debian/codequery

Package: codequery
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         cscope,
         exuberant-ctags,
Description: code-understanding, code-browsing or code-search tool
 This is a tool to index, then query or search C, C++, Java, Python,
 Ruby, Go and Javascript source code.
 .
 It builds upon the databases of cscope and Exuberant ctags.
 .
 The databases of cscope and ctags would be processed by the cqmakedb
 tool to generate the CodeQuery database file.
 .
 The CodeQuery database file can be viewed and queried using the
 codequery GUI tool.
