=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%codequery-$1.tar.gz%" \
   https://github.com/ruben2020/codequery/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
