=== debian/changelog ===
codequery (0.25.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 14 Sep 2022 21:37:40 +0800
