=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libsqlite3-dev,
                qttools5-dev,
                xmlto,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/ruben2020/codequery
 Vcs-Git: https://salsa.debian.org/debian/codequery.git
