=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -106,7 +106,6 @@
   INCLUDE_DIRECTORIES( "../scintilla/include" )
   INCLUDE_DIRECTORIES( "../scintilla/src" )
   INCLUDE_DIRECTORIES( "../scintilla/lexlib" )
-  INCLUDE_DIRECTORIES( "${SQLITE_INCLUDE_DIR}" )
   INCLUDE_DIRECTORIES( "${CMAKE_CURRENT_BINARY_DIR}" )
   INCLUDE_DIRECTORIES( "." )
   INCLUDE_DIRECTORIES( "./translations" )
@@ -115,7 +114,13 @@
   INCLUDE_DIRECTORIES( "../showgraph" )
   INCLUDE_DIRECTORIES( "/usr/local/include" )
 
-  FIND_PACKAGE( Sqlite REQUIRED )
+if(GHAWIN)
+find_package(unofficial-sqlite3 CONFIG REQUIRED)
+set( SQLITE_LIBRARIES "unofficial::sqlite3::sqlite3" )
+else(GHAWIN)
+find_package(Sqlite REQUIRED)
+include_directories( "${SQLITE_INCLUDE_DIR}" )
+endif(GHAWIN)
 
 
 if (BUILD_QT5)
