=== makedb/CMakeLists.txt ===
--- 
+++ 
@@ -12,11 +12,16 @@
 
 #add_definitions( -Wall )
 
+if(GHAWIN)
+find_package(unofficial-sqlite3 CONFIG REQUIRED)
+set( SQLITE_LIBRARIES "unofficial::sqlite3::sqlite3" )
+else(GHAWIN)
 find_package(Sqlite REQUIRED)
+include_directories( "${SQLITE_INCLUDE_DIR}" )
+endif(GHAWIN)
 
 include_directories( "." )
 include_directories( "../querylib" )
-include_directories( "${SQLITE_INCLUDE_DIR}" )
 
 set( CQMAKEDB_SRCS
      sqlbase.cpp
