=== debian/changelog ===
codequery (0.26.0+dfsg-1) unstable; urgency=medium

  * New upostream release.
  * Bump Standards-Version to 4.6.2.
  * Add universal-ctags as alternative of exuberant-ctags (Closes: #1016144).

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 29 Dec 2022 17:45:29 +0800
