=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libsqlite3-dev,
                qttools5-dev,
                xmlto,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ruben2020/codequery
 Vcs-Git: https://salsa.debian.org/debian/codequery.git
@@ -21,7 +21,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          cscope,
-         exuberant-ctags,
+         universal-ctags | exuberant-ctags,
 Description: code-understanding, code-browsing or code-search tool
  This is a tool to index, then query or search C, C++, Java, Python,
  Ruby, Go and Javascript source code.
