=== cli/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 #
 
-cmake_minimum_required(VERSION 3.2.2)
+cmake_minimum_required(VERSION 3.5.0)
 project(CodeQueryCLI)
 
 #add_definitions( -Wall )
