=== querylib/CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 # IN THE SOFTWARE.
 # 
 
-cmake_minimum_required(VERSION 3.2.2)
+cmake_minimum_required(VERSION 3.5.0)
 project(CodeQueryLib)
 
 find_package(Sqlite REQUIRED)
