=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 #
 
-cmake_minimum_required(VERSION 3.5.0)
+cmake_minimum_required(VERSION 3.16.0)
 project(CodeQueryGUI)
 
 #ADD_DEFINITIONS( -Wall )
@@ -63,9 +63,9 @@
   )
   
   # and finally an resource file
-  SET( CODEQUERY_RCS
-       codequery.qrc
-  )
+  #SET( CODEQUERY_RCS
+  #     codequery.qrc
+  #)
 
   # translation files
   SET( CODEQUERY_TRANS
@@ -101,11 +101,6 @@
 
   add_definitions( -DNO_QDESIGNER_WIDGET_EXPORT )
 
-  INCLUDE_DIRECTORIES( "../scintilla/qt/ScintillaEdit" )
-  INCLUDE_DIRECTORIES( "../scintilla/qt/ScintillaEditBase" )
-  INCLUDE_DIRECTORIES( "../scintilla/include" )
-  INCLUDE_DIRECTORIES( "../scintilla/src" )
-  INCLUDE_DIRECTORIES( "../scintilla/lexlib" )
   INCLUDE_DIRECTORIES( "${CMAKE_CURRENT_BINARY_DIR}" )
   INCLUDE_DIRECTORIES( "." )
   INCLUDE_DIRECTORIES( "./translations" )
@@ -113,6 +108,12 @@
   INCLUDE_DIRECTORIES( "../makedb" )
   INCLUDE_DIRECTORIES( "../showgraph" )
   INCLUDE_DIRECTORIES( "/usr/local/include" )
+  INCLUDE_DIRECTORIES( "../lexilla/include" )
+  INCLUDE_DIRECTORIES( "../scintilla/qt/ScintillaEdit" )
+  INCLUDE_DIRECTORIES( "../scintilla/qt/ScintillaEditBase" )
+  INCLUDE_DIRECTORIES( "../scintilla/include" )
+  INCLUDE_DIRECTORIES( "../scintilla/src" )
+  INCLUDE_DIRECTORIES( "../scintilla/lexlib" )
 
 if(GHAWIN)
 find_package(unofficial-sqlite3 CONFIG REQUIRED)
@@ -122,19 +123,18 @@
 include_directories( "${SQLITE_INCLUDE_DIR}" )
 endif(GHAWIN)
 
-
 if (BUILD_QT5)
 
-  
   # this command finds Qt4 libraries and sets all required variables
   # note that it's Qt4, not QT4 or qt4
-  FIND_PACKAGE( Qt5Widgets 5.2.1 REQUIRED )
+  FIND_PACKAGE( Qt5Widgets REQUIRED )
   FIND_PACKAGE( Qt5Core REQUIRED )
   FIND_PACKAGE( Qt5Concurrent REQUIRED )
   FIND_PACKAGE( Qt5Xml REQUIRED )
   FIND_PACKAGE( Qt5LinguistTools REQUIRED )
 
   add_definitions( -DUSE_QT5 )
+  #add_compile_definitions(QT_DISABLE_DEPRECATED_UP_TO=0x050F00)
 
   set_target_properties(Qt5::Core PROPERTIES MAP_IMPORTED_CONFIG_COVERAGE "RELEASE")
   
@@ -180,10 +180,10 @@
 if(WIN32)
   SET(CQ_WIN_RCS cqwin64.rc)
   add_executable( codequery WIN32 ${CODEQUERY_SRCS} ${CODEQUERY_MOC_SRCS} ${CQIMAGES_RC_SRCS} ${CQTRANS_RC_SRCS} ${CODEQUERY_UI_HDRS} ${QM} ${CQ_WIN_RCS} )
-  target_link_libraries( codequery Qt5::Widgets Qt5::Concurrent Qt5::WinMain ${SQLITE_LIBRARIES} cqshowgraph-qt5 scintillaedit)
+  target_link_libraries( codequery Qt5::Widgets Qt5::Concurrent Qt5::WinMain ${SQLITE_LIBRARIES} cqshowgraph-qt5 scintillaedit lexilla)
 else()
   add_executable( codequery ${CODEQUERY_SRCS} ${CODEQUERY_MOC_SRCS} ${CQIMAGES_RC_SRCS} ${CQTRANS_RC_SRCS} ${CODEQUERY_UI_HDRS} ${QM} )
-  target_link_libraries( codequery Qt5::Widgets Qt5::Concurrent ${SQLITE_LIBRARIES} cqshowgraph-qt5 scintillaedit)
+  target_link_libraries( codequery Qt5::Widgets Qt5::Concurrent ${SQLITE_LIBRARIES} cqshowgraph-qt5 scintillaedit lexilla)
 endif()
   
   install(TARGETS codequery RUNTIME DESTINATION bin)
@@ -191,29 +191,20 @@
 
 else (BUILD_QT5)
 
-  add_definitions( -DUSE_QT4 )
-
-  # by default only QtCore and QtGui modules are enabled
-  # other modules must be enabled like this:
-  #SET( QT_USE_QTXML TRUE )
-  #SET( QT_USE_QTSQL TRUE )
-  SET( QT_DONT_USE_QTGUI FALSE )
-  
-  # this command finds Qt4 libraries and sets all required variables
-  # note that it's Qt4, not QT4 or qt4
-  FIND_PACKAGE( Qt4 REQUIRED )
-  
-  # add some useful macros and variables
-  # (QT_USE_FILE is a variable defined by FIND_PACKAGE( Qt4 ) that contains a path to CMake script)
-  INCLUDE( "${QT_USE_FILE}" )
-
-  QT4_ADD_TRANSLATION( QM ${CODEQUERY_TRANS} )  
-  
-  # this command will generate rules that will run rcc on all files from CODEQUERY_RCS
-  # in result CQIMAGES_RC_SRCS variable will contain paths to files produced by rcc
-  # QT4_ADD_RESOURCES( CQIMAGES_RC_SRCS ${CODEQUERY_RCS} )
-
-  # Run the resource compiler (rcc_options should already be set).
+  find_package(Qt6 REQUIRED COMPONENTS Core Widgets Concurrent Xml LinguistTools )
+  set(CMAKE_AUTOMOC ON)
+  set(CMAKE_AUTORCC OFF)
+  set(CMAKE_AUTOUIC OFF)
+
+  add_definitions( -DUSE_QT5 )
+  add_compile_definitions(QT_DISABLE_DEPRECATED_UP_TO=0x050F00)
+
+  set_target_properties(Qt6::Core PROPERTIES MAP_IMPORTED_CONFIG_COVERAGE "RELEASE")
+
+  get_target_property(QT_RCC_EXECUTABLE Qt6::rcc LOCATION)
+
+  qt6_add_translation( QM ${CODEQUERY_TRANS} )
+
   ADD_CUSTOM_COMMAND(
     OUTPUT ${CQIMAGES_RC_SRCS}
     COMMAND ${QT_RCC_EXECUTABLE}
@@ -232,26 +223,20 @@
     COMMAND ${COPY_COMMAND}
     ARGS ${CQTRANS_RC_QRCT_CP} ${CQTRANS_RC_QRC_CP}
     )
-    
-
-  # this will run uic on .ui files:
-  QT4_WRAP_UI( CODEQUERY_UI_HDRS ${CODEQUERY_UIS} )
-  
-  # and finally this will run moc:
-  QT4_WRAP_CPP( CODEQUERY_MOC_SRCS ${CODEQUERY_MOC_HDRS} )
-
+
+  qt6_wrap_ui( CODEQUERY_UI_HDRS ${CODEQUERY_UIS} )
 
 if(WIN32)
-  SET(CQ_WIN_RCS cqwin32.rc)
+  SET(CQ_WIN_RCS cqwin64.rc)
   add_executable( codequery WIN32 ${CODEQUERY_SRCS} ${CODEQUERY_MOC_SRCS} ${CQIMAGES_RC_SRCS} ${CQTRANS_RC_SRCS} ${CODEQUERY_UI_HDRS} ${QM} ${CQ_WIN_RCS} )
+  target_link_libraries( codequery PRIVATE Qt6::Widgets Qt6::Concurrent ${SQLITE_LIBRARIES} cqshowgraph-qt6 scintillaedit lexilla )
 else()
   add_executable( codequery ${CODEQUERY_SRCS} ${CODEQUERY_MOC_SRCS} ${CQIMAGES_RC_SRCS} ${CQTRANS_RC_SRCS} ${CODEQUERY_UI_HDRS} ${QM} )
+  target_link_libraries( codequery PRIVATE Qt6::Widgets Qt6::Concurrent ${SQLITE_LIBRARIES} cqshowgraph-qt6 scintillaedit lexilla )
 endif()
 
-  target_link_libraries( codequery ${QT_LIBRARIES} ${SQLITE_LIBRARIES} cqshowgraph scintillaedit)
-  
   install(TARGETS codequery RUNTIME DESTINATION bin)
 
+
 endif (BUILD_QT5)
 
-
