=== debian/changelog ===
codequery (1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Change to use Qt6.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 11 Nov 2024 12:11:20 +0800
