=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: codequery
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
+Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper-compat (= 13),
                asciidoc-base,
                cmake,
-               libqscintilla2-qt5-dev,
+               libqscintilla2-qt6-dev,
                libsqlite3-dev,
-               qttools5-dev,
+               qt6-5compat-dev,
+               qt6-base-dev,
+               qt6-tools-dev,
                xmlto,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
