=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	cat debian/*manpages | sed 's/$$/.txt/p' | xargs -n 1 a2x --attribute=footer-style=none --doctype manpage --format manpage
	perl -pi -e 's/build/obj-$(DEB_HOST_GNU_TYPE)/' gui/codequery.qrc
	dh_auto_configure

override_dh_clean:
	dh_clean
	perl -pi -e 's/obj-$(DEB_HOST_GNU_TYPE)/build/' gui/codequery.qrc
