=== debian/changelog ===
codequery (1.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * d/salsa-ci.yml: Add Salsa CI config

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 02 Aug 2025 01:25:44 +0800
