=== debian/watch ===
version=4
opts="dversionmangle=s/\+(debian|dfsg|ds|deb|gh)\d*$//, repacksuffix=+dfsg" \
https://github.com/ruben2020/codequery/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
